FreeBSD Administration - Support #862

Install Nodejs 0.10 From Source on FreeBSD
10/24/2016 09:14 PM - Daniel Curtis

Status: Closed Start date: 10/24/2016
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Web Server Estimated time: 1.00 hour
Target version: FreeBSD 10 Spent time: 1.50 hour
Description

With www/node010 now removed from the FreeBSD ports tree, | am unable to support one of my legacy node.js apps on FreeBSD
10. Luckily compiling node.js is a simple process. This is a guide on compiling Node.js 0.10 on FreeBSD 10.

Prepare the Environment

o Make sure the system is up to date:
pkg update && pkg upgrade
¢ [nstall a few dependencies:

pkg install gcc48 git gmake libexecinfo 11lvm38 python

Install Node.js 0.10

* Download the v0.10.40-release (latest to date) branch of node.js:

git clone -b v0.10.40-release —-depth 1 https://github.com/nodejs/node.git
cd node

e Compile and install nodejs:

./configure
gmake
gmake install

Install NPM

e Download the npm install script and run it:

fetch https://www.npmjs.com/install.sh
sh install.sh

Resources

e https://github.com/nodejs/node/tree/v0.10.40-release
¢ https://github.com/nodejs/node/blob/master/BUILDING.md
e https://github.com/npm/npm
History

#1 - 10/25/2016 12:59 PM - Daniel Curtis
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 12/03/2016 12:49 PM - Daniel Curtis

- Status changed from Resolved to Closed
